import * as $dara from '@darabonba/typescript';
import { ListHoneypotAlarmEventsResponseBody } from "./ListHoneypotAlarmEventsResponseBody";
export declare class ListHoneypotAlarmEventsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListHoneypotAlarmEventsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
